ur_rna.GUITester.GuiTools

## Class GuiFinder

- java.lang.Object
- - abbot.finder.BasicFinder
  - - ur_rna.GUITester.GuiTools.GuiFinder

- All Implemented Interfaces:
    abbot.finder.ComponentFinder

      public class GuiFinder
      extends abbot.finder.BasicFinder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AppLog` | `_log`
    `GuiAppManager` | `_owner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiFinder(GuiAppManager owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `find(java.awt.Container root, abbot.finder.Matcher matcher)`
    `java.awt.Component` | `find(GuiItemRef ref, boolean required)`
    `java.awt.Component` | `find(abbot.finder.Matcher m)` Find a component.
    `java.awt.Component` | `find(abbot.finder.Matcher matcher, GuiRelative relationship, java.awt.Component relative)` Find a component with the built-in BasicFinder.
    `java.awt.Component` | `find(java.lang.String descriptor, GuiRelative relationship, java.awt.Component relative)` Find a component using a `DescriptionMatcher`.

    - ### Methods inherited from class abbot.finder.BasicFinder

      `find, findMatches, getDefault, getHierarchy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _log

          private AppLog _log

    - #### _owner

          public GuiAppManager _owner

  - ### Constructor Detail

    - #### GuiFinder

          public GuiFinder(GuiAppManager owner)

  - ### Method Detail

    - #### find

          public java.awt.Component find(java.awt.Container root,
                                         abbot.finder.Matcher matcher)

      Specified by:
        `find` in interface `abbot.finder.ComponentFinder`
      Overrides:
        `find` in class `abbot.finder.BasicFinder`

    - #### find

          public java.awt.Component find(GuiItemRef ref,
                                         boolean required)
                                  throws GuiItemNotFoundException

      Throws:
        `GuiItemNotFoundException`

    - #### find

          public java.awt.Component find(abbot.finder.Matcher m)

      Find a component. Returns null if no match is found instead of throwing a ComponentSearchException.
      Specified by:
        `find` in interface `abbot.finder.ComponentFinder`
      Overrides:
        `find` in class `abbot.finder.BasicFinder`
      Parameters:
        `m` - The matcher to use to find the component.
      Returns:
        Returns the matching component if found, or null if no match is found.

    - #### find

          public java.awt.Component find(abbot.finder.Matcher matcher,
                                         GuiRelative relationship,
                                         java.awt.Component relative)

      Find a component with the built-in BasicFinder. Returns null if no match is found instead of throwing a ComponentSearchException.
      Parameters:
        `relative` - a reference component that has a specific relationship with the desired target component.
        `matcher` - The matcher to use to find the component.
      Returns:
        Returns the matching component if found, or null if no match is found.

    - #### find

          public java.awt.Component find(java.lang.String descriptor,
                                         GuiRelative relationship,
                                         java.awt.Component relative)
                                  throws abbot.finder.ComponentSearchException

      Find a component using a `DescriptionMatcher`. Returns null if no match is found instead of throwing a ComponentSearchException.
      Parameters:
        `descriptor` - The text to search for. Many different textual fields of components are compared with this. Encapsulate regular expressions inside slashes (e.g. /[a-z]+/ )
      Returns:
        Returns the matching component if found, or null if no match is found.
      Throws:
        `abbot.finder.ComponentSearchException`